---
title: messagesProps API
description: "API Index | messagesProps"
api_reference: true
slug: api_scheduler_messagesprops
---

# MessagesProps

### messages-all-day `String`

The **All day** text that is displayed in the **Day**, **Week**, and **Agenda** views.

### messages-aria-event-label `String`

Specifies the format string for populating the `aria-label` attribute value of the selected event element.

The supported arguments are:

* `{0}`&mdash;The title of the selected element.
* `{1}`&mdash;The start date of the event.
* `{2}`&mdash;The start time of the event.

### messages-aria-slot-label `String`

Specifies the format string for populating the `aria-label` attribute value of the selected slot element.

The supported arguments are:

* `{0}`&mdash;The start date of the slot.
* `{1}`&mdash;The end time of the slot.

### messages-cancel `String`

The **Cancel** text that is displayed in the Scheduler.

### messages-date `String`

The **Date** text that is displayed in the Scheduler.

### messages-delete-window-title `String`

The **Delete event** text that is displayed as the title of the **Delete event** window.

### messages-destroy `String`

The **Delete** text that is displayed in the Scheduler.

### messages-event `String`

The **Event** text that is displayed in the Scheduler.

### messages-default-row-text `String`

The **All events** text that is displayed in the timeline views when no vertical grouping is applied.

### messages-next `String`

The tooltip of the **Next** navigation button.

### messages-pdf `String`

The text that is displayed by the **PDF export** button.

### messages-previous `String`

The tooltip of the **Previous** navigation button.

### messages-save `String`

The **Save** text that is displayed in the Scheduler.

### messages-show-full-day `String`

The **Show full day** text of the `showFullDay` button.

### messages-show-work-day `String`

The **Show business hours** text of the `showWorkDay` button.

### messages-time `String`

The **Time** text that is displayed in the Scheduler.

### messages-today `String`

The **Today** text that is displayed in the Scheduler.


### messages-editable-confirmation `String`

The **Are you sure you want to delete this event?** text tat is displayed in the Scheduler.

### messages-editor-all-day-event `String`

The **All day event** text that is displayed in the event editor.

### messages-editor-description `String`

The **Description** text that is displayed in the event editor.

### messages-editor-editor-title `String`

The **Event** text that is displayed as the title of the event editor.

### messages-editor-end `String`

The **End** text that is displayed in the event editor.

### messages-editor-end-timezone `String`

The **End timezone** text that is displayed in the event editor.

### messages-editor-repeat `String`

The **Repeat** text that is displayed in the event editor.

### messages-editor-separate-timezones `String`

The **Use separate start and end time zones** text that is displayed in the event editor.

### messages-editor-start `String`

The **Start** text that is displayed in the event editor.

### messages-editor-start-timezone `String`

The **Start timezone** text that is displayed in the event editor.

### messages-editor-timezone `String`

The **Timezone** text that is displayed in the event editor.

### messages-editor-timezone-editor-button `String`

The **Time zone** text that is displayed by the `timezone` editor button in the event editor.

### messages-editor-timezone-editor-title `String`

The **Timezones** text that is displayed as the title of the `timezone` editor in the event editor.

### messages-editor-title `String`

The **Title of the event** that is displayed in the event editor.

### messages-recurrence-editor-daily-interval `String`

The **day(s)** text that is displayed in the recurrence editor.

### messages-recurrence-editor-daily-repeat-every `String`

The **Repeat every:** text that is displayed in the recurrence editor.

### messages-recurrence-editor-end-after `String`

The **After** text that is displayed in the recurrence editor.

### messages-recurrence-editor-end-occurrence `String`

The **occurrence(s)** text that is displayed in the recurrence editor.

### messages-recurrence-editor-end-label `String`

The **End:** text that is displayed in the recurrence editor.

### messages-recurrence-editor-end-never `String`

The **Never** text that is displayed in the recurrence editor.

### messages-recurrence-editor-end-mobile-label `String`

The **Ends** text that is displayed in the adaptive version of the recurrence editor.

### messages-recurrence-editor-end-on `String`

The **On** text that is displayed in the recurrence editor.

### messages-recurrence-editor-frequencies-daily `String`

The **Daily** text that is displayed in the recurrence editor.

### messages-recurrence-editor-frequencies-monthly `String`

The **Monthly** text that is displayed in the recurrence editor.

### messages-recurrence-editor-frequencies-never `String`

The **Never** text that is displayed in the recurrence editor.

### messages-recurrence-editor-frequencies-weekly `String`

The **Weekly** text that is displayed in the recurrence editor.

### messages-recurrence-editor-frequencies-yearly `String`

The **Yearly** text that is displayed in the recurrence editor.

### messages-recurrence-editor-monthly-day `String`

The text similar to "Day " displayed in the scheduler recurrence editor.

### messages-recurrence-editor-monthly-interval `String`

The **month(s)** text that is displayed in the recurrence editor.

### messages-recurrence-editor-monthly-repeat-every `String`

The **Repeat every:** text that is displayed in the recurrence editor.

### messages-recurrence-editor-monthly-repeat-on `String`

The **Repeat on:** text that is displayed in the recurrence editor.

### messages-recurrence-editor-offset-positions-first `String`

The **first** text that is displayed in the recurrence editor.

### messages-recurrence-editor-offset-positions-second `String`

The **second** text that is displayed in the recurrence editor.

### messages-recurrence-editor-offset-positions-third `String`

The **third** text that is displayed in the recurrence editor.

### messages-recurrence-editor-offset-positions-fourth `String`

The **fourth** text that is displayed in the recurrence editor.

### messages-recurrence-editor-offset-positions-last `String`

The **last** text that is displayed in the recurrence editor.

### messages-recurrence-editor-recurrence-editor-title `String`

The **Recurrence** text of the drop-down editor title.

### messages-recurrence-editor-weekly-interval `String`

The **week(s)** text that is displayed in the recurrence editor.

### messages-recurrence-editor-weekly-repeat-every `String`

The **Repeat every:** text that is displayed in the recurrence editor.

### messages-recurrence-editor-weekly-repeat-on `String`

The **Repeat on:** text that is displayed in the recurrence editor.

### messages-recurrence-editor-weekdays-day `String`

The **day** text that is displayed in the **Repeat by** section of the monthly recurrence pattern.

### messages-recurrence-editor-weekdays-weekday `String`

The **weekday** text that is displayed in the **Repeat by** section of the monthly recurrence pattern.

### messages-recurrence-editor-weekdays-weekend `String`

The **weekend** text that is displayed in the **Repeat by** section of the monthly recurrence pattern.

### messages-recurrence-editor-yearly-of `String`

The **of** that is displayed in the recurrence editor.

### messages-recurrence-editor-yearly-repeat-every `String`

The **Repeat every:** that is displayed in the recurrence editor.

### messages-recurrence-editor-yearly-repeat-on `String`

The **Repeat on:** that is displayed in the recurrence editor.

### messages-recurrence-editor-yearly-interval `String`

The **year(s)** text that is displayed in the recurrence editor.

### messages-recurrence-messages-delete-recurring `String`

The **Do you want to delete only this event occurrence or the whole series?** text that is displayed in the event editor.

### messages-recurrence-messages-delete-window-occurrence `String`

The **Delete current occurrence** text that is displayed in the event editor.

### messages-recurrence-messages-delete-window-series `String`

The **Delete the series** text that is displayed in the event editor.

### messages-recurrence-messages-delete-window-title `String`

The **Delete Recurring Item** text that is displayed in the event editor.

### messages-recurrence-messages-edit-recurring `String`

The **Do you want to edit only this event occurrence or the whole series?** text that is displayed in the event editor.

### messages-recurrence-messages-edit-window-occurrence `String`

The **Edit current occurrence** text that is displayed in the event editor.

### messages-recurrence-messages-edit-window-series `String`

The **Edit the series** text that is displayed in the event editor.

### messages-recurrence-messages-edit-window-title `String`

The **Edit Recurring Item** text that is displayed in the event editor.

### messages-views-day `String`

The **Day** text that is displayed as the **Day** view title.

### messages-views-week `String`

The **Week** text that is displayed as the **Week** view title.

### messages-views-month `String`

The **Month** text that is displayed as the **Month** view title.

### messages-views-agenda `String`

The **Agenda** text that is displayed as the **Agenda** view title.

## Suggested Links

* [`Messages` in Kendo UI Scheduler for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/ui/scheduler/configuration/messages)
